Bug 207073 - editors/openoffice-devel: fix build with boost 1.60
Summary: editors/openoffice-devel: fix build with boost 1.60
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-10 10:37 UTC by Dmitry Marakasov
Modified: 2016-02-11 16:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
Patch (577 bytes, patch)
2016-02-10 10:37 UTC, Dmitry Marakasov
no flags Details | Diff
Patch (1.35 KB, patch)
2016-02-11 00:07 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-02-10 10:37:26 UTC
Created attachment 166825 [details]
Patch

Fix build with boost 1.60 by linking module which fails with unresolved symbols in libboost_system to libboost_system.

See

https://wiki.freebsd.org/BoostPortingProject/1.55-to-1.60
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199601
Comment 1 Don Lewis freebsd_committer 2016-02-10 18:43:13 UTC
I committed a change yesterday to disable the PDF import plugin so that the openoffice-devel port will build with boost 1.60.  That unblocks 199601.

Longer term my plan is to patch configure to detect when -lboost_system is needed and add that when linking the PDF import module, and then submit this upstream.

Boost will also need to be moved from BUILD_DEPENDS to LIB_DEPENDS.
Comment 2 Dmitry Marakasov freebsd_committer 2016-02-11 00:07:34 UTC
Created attachment 166859 [details]
Patch

> Boost will also need to be moved from BUILD_DEPENDS to LIB_DEPENDS.

Fixed.

> I committed a change yesterday to disable the PDF import plugin so that the openoffice-devel port will build with boost 1.60.

This is unneeded pessimization.
Comment 3 commit-hook freebsd_committer 2016-02-11 15:41:15 UTC
A commit references this bug:

Author: truckman
Date: Thu Feb 11 15:40:54 UTC 2016
New revision: 408688
URL: https://svnweb.freebsd.org/changeset/ports/408688

Log:
  Unbreak PDF Import extension when building with modern boost.  Similar
  to the patch by amdmi3, link the extension with -lboost_system, but
  only do this in the --with-system-boost case.  Doing this unconditionally
  would break building with the bundled boost because only the boost headers
  are available and the boost libraries are not built.  This is still a bit
  pessimal because -lboost_system may be used when it is not strictly
  necessary (when the system boost is old), but it is likely that this is
  only relevant to FreeBSD and we are in the process of upgrading boost.
  This fix should be acceptable upstream.

  Re-enable the PDF Import extension by default.

  When the PDF Import extension is enabled, promote boost from BUILD_DEPENDS
  to LIB_DEPENDS.

  Tested with PDFIMPORT both on and off.  Also tested with PDFIMPORT on,
  --with-system-boost disabled, and boost removed from *_DEPENDS.

  PR:		207073, 199601

Changes:
  head/editors/openoffice-devel/Makefile
  head/editors/openoffice-devel/files/patch-sdext_source_pdfimport_makefile.mk